List profile segment contacts
Retrieve contacts associated with a specific segment for a given profile.
Retrieve contacts associated with a specific segment for a given profile.
This endpoint allows you to fetch and filter contacts that belong to a particular segment, identified by its UUID, scoped to a specific profile.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
profileUuidstringRequiredExample:
Profile uuid parameter
550e8400-e09b-41d4-a716-400055000000segmentUuidstringRequiredExample:
Segment uuid parameter
550e8400-e09b-41d4-a716-400055000000Query parameters
pageintegerOptionalExample:
Page number
1per_pageinteger · max: 100OptionalDefault:
Number of items per page
25Example: 25Responses
200
Success response
application/json
401
Unauthenticated response
application/json
500
Error response
application/json
get/api/reach/v1/profiles/{profileUuid}/segmentation/segments/{segmentUuid}/contacts
GET /api/reach/v1/profiles/{profileUuid}/segmentation/segments/{segmentUuid}/contacts HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"name": "John",
"surname": "Doe",
"email": "john.doe@example.com",
"subscription_status": "subscribed",
"subscribed_at": "2023-01-01T00:00:00Z",
"source": "sync",
"note": "VIP customer"
}
],
"meta": {
"current_page": 1,
"per_page": 15,
"total": 100
}
}Last updated
Was this helpful?